/// <reference types="node" />
import { BpSdkStore, checkAnswerQueue } from '@boldpenguin/sdk-redux';
import { IAnswer, IQueueContainerComponent } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkQueueContainer implements IQueueContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    heartbeatInterval: NodeJS.Timeout;
    checkAnswerQueue: typeof checkAnswerQueue;
    /**
     * Answer queue injected from redux
     */
    queue: IAnswer[];
    connectedCallback(): void;
    disconnectedCallback(): void;
    resetState(): void;
    componentWillLoad(): void;
    handleSubscriptions: () => void;
    mapStateToProps: (state: BpSdkStore) => {
        queue: IAnswer[];
    };
    onQueueChange(queue: IAnswer[], oldQueue?: IAnswer[]): void;
    stopHeartbeat(): void;
    render(): void;
}
